Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452969 - Font is broken during boot in norwegian locale
Summary: Font is broken during boot in norwegian locale
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-06-26 11:02 UTC by Kjartan Maraas
Modified: 2008-11-05 11:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 11:48:16 UTC


Attachments (Terms of Use)

Description Kjartan Maraas 2008-06-26 11:02:08 UTC
Description of problem:

When I boot a rawhide machine with norwegian bokmål locale I see a lot of the
strings are showing the wrong letters in certain places.

I think this mostly happens with norwegian "special" characters æøåÆØÅ, but I'm
not 100% certain.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Nottingham 2008-06-26 15:17:29 UTC
What's your /etc/sysconfig/i18n look like?

Comment 2 Kjartan Maraas 2008-06-27 07:39:53 UTC
[kmaraas@localhost ~]$ cat /etc/sysconfig/i18n 
LANG="nb_NO.UTF-8"
SYSFONT="latarcyrheb-sun16"
[kmaraas@localhost ~]$ 


Comment 3 Bill Nottingham 2008-06-27 15:32:54 UTC
There was discussion that this may be a kernel issue - does this go away with an
older (or newer) kernel?

Comment 4 Kjartan Maraas 2008-06-27 22:31:11 UTC
The latest kernel from rawhide didn't make a difference at least. Older kernels
will help, but I can't remember exactly when this started...

Comment 5 Dave Jones 2008-08-01 15:10:14 UTC
how about the -rc1 kernel ?
ISTR seeing something about this mentioned on lkml a few days ago.

Comment 6 Kjartan Maraas 2008-09-10 06:09:49 UTC
Still seeing this in current rawhide.

Comment 7 Bill Nottingham 2008-10-20 19:40:32 UTC
Actaully, does the current rawhide/F9 update initscripts fix this? We had a bug in how we were setting the font.

Comment 8 Kjartan Maraas 2008-11-05 11:48:16 UTC
Works now.


Note You need to log in before you can comment on or make changes to this bug.